# QLocalSocket Class Reference

### [com.trolltech.qt.network package]

Inherits QIODevice.

### Constructor

- void QLocalSocket(QObject parent)

### Constructor Properties

- prototype: The QLocalSocket prototype object
- UnconnectedState = QAbstractSocket::UnconnectedState
- ConnectingState = QAbstractSocket::ConnectingState
- ConnectedState = QAbstractSocket::ConnectedState
- ClosingState = QAbstractSocket::ClosingState
- LocalSocketState( value )
- UnknownSocketError = QAbstractSocket::UnknownSocketError
- ConnectionRefusedError = QAbstractSocket::ConnectionRefusedError
- PeerClosedError = QAbstractSocket::RemoteHostClosedError
- ServerNotFoundError = QAbstractSocket::HostNotFoundError
- SocketAccessError = QAbstractSocket::SocketAccessError
- SocketResourceError = QAbstractSocket::SocketResourceError
- SocketTimeoutError = QAbstractSocket::SocketTimeoutError
- DatagramTooLargeError = QAbstractSocket::DatagramTooLargeError
- ConnectionError = QAbstractSocket::NetworkError
- UnsupportedSocketOperationError = QAbstractSocket::UnsupportedSocketOperationError
- LocalSocketError( value )

### Prototype Object Properties

The QLocalSocket prototype object inherits properties from the QIODevice prototype object and also has the following properties.

- void abort()
- void connectToServer(String name, OpenMode openMode)
- void disconnectFromServer()
- LocalSocketError error()
- bool flush()
- String fullServerName()
- bool isValid()
- qint64 readBufferSize()
- String serverName()
- void setReadBufferSize(qint64 size)
- bool setSocketDescriptor(quintptr socketDescriptor, LocalSocketState socketState, OpenMode openMode)
- quintptr socketDescriptor()
- LocalSocketState state()
- bool waitForConnected(int msecs)
- bool waitForDisconnected(int msecs)

### Instance Properties

QLocalSocket objects have no special properties beyond those inherited from the QLocalSocket prototype object.